<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-740"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXWeakProxy%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXWeakProxy类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_weak_proxy.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_weak_proxy-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXWeakProxy类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_weak_proxy_8h_source.html">XHXWeakProxy.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXWeakProxy 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_weak_proxy.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:aa925000d81a76eb1a5a568f8f63df179"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_weak_proxy.html#aa925000d81a76eb1a5a568f8f63df179">initWithTarget:</a></td></tr>
<tr class="separator:aa925000d81a76eb1a5a568f8f63df179"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:ab00a5dae2331d1e4cf8115b8d789078b"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_weak_proxy.html#ab00a5dae2331d1e4cf8115b8d789078b">proxyWithTarget:</a></td></tr>
<tr class="separator:ab00a5dae2331d1e4cf8115b8d789078b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:ad464ddf2856a25a1254fb779b4fc92fc"><td class="memItemLeft" align="right" valign="top">id&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_weak_proxy.html#ad464ddf2856a25a1254fb779b4fc92fc">target</a></td></tr>
<tr class="separator:ad464ddf2856a25a1254fb779b4fc92fc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="aa925000d81a76eb1a5a568f8f63df179"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa925000d81a76eb1a5a568f8f63df179">◆&nbsp;</a></span>initWithTarget:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (instancetype) initWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&nbsp;</td>
          <td class="paramname"><em>target</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab00a5dae2331d1e4cf8115b8d789078b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab00a5dae2331d1e4cf8115b8d789078b">◆&nbsp;</a></span>proxyWithTarget:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) proxyWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&nbsp;</td>
          <td class="paramname"><em>target</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="ad464ddf2856a25a1254fb779b4fc92fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad464ddf2856a25a1254fb779b4fc92fc">◆&nbsp;</a></span>target</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (id) target</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Foundation/<a class="el" href="_x_h_x_weak_proxy_8h_source.html">XHXWeakProxy.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Foundation/<a class="el" href="_x_h_x_weak_proxy_8m.html">XHXWeakProxy.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_weak_proxy.html">XHXWeakProxy</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>